
#include <Misc.au3>
#Include <ScreenCapture.au3>

#cs

With this script, the user presses 1 every time he presses the mouse, so the script captures the mouse click position and writes it to a draaiboek file.  Sometimes the user has to use other keys -- for that, there is the comment shortcut.

1. User is asked for the first "+" sign, to calibrate the window position.
2. User starts the gogo.
3. When user clicks, he presses 1 to indicate the click position.
4. Script calculates relative click position (from "+" sign) and writes to a file.
5. When user wants to indicate other movement, he presses 2 to write a comment.
 
#ce

Global $Paused
Global $abspos
Global $mousepos
Global $comment
Global $savefile
Global $fileopen
Global $wintitle
Global $handle
Global $capturename
Global $i

$i = 0

MsgBox (0, "Shortcuts", "` = get handles; 1 = mouse; 2 = comment; esc = pause", 0)

$savefile = FileSaveDialog ("Which file to save draaiboek in", "", "Text files (*.txt)")
$fileopen = FileOpen ($savefile, 129)

$capturename = InputBox ("What is the screen captures' prefix?", "Type in language code and 'options' and section", "zu_options_ooo_")

HotKeySet("`", "GetHandle")
HotKeySet("1", "Mouse")
HotKeySet("2", "Comment")
HotKeySet("{ESC}", "TogglePause")

While 1
Sleep ("200")
WEnd

Func GetHandle()
MsgBox (0, "Click on upper '+' sign, for relative positioning", "Click on upper '+' sign, for relative positioning", 5)
$abspos = MouseGetPos () ; $pos[0] = x, $pos[1] = y 
$wintitle = InputBox ("What is the window's title?", "Usually Options", "Opsies")
$handle = WinGetHandle ($wintitle)
EndFunc

Func Mouse()
$i = $i + 1
$mousepos = MouseGetPos () ; $pos[0] = x, $pos[1] = y 
FileWrite ($fileopen, $mousepos[0] - $abspos[0] & ":" & $mousepos[1] - $abspos[1] & @CRLF)
_ScreenCapture_CaptureWnd($capturename & $i & ".bmp", $handle)
EndFunc

Func Comment()
$comment = InputBox ("What's your comment?", "What should be done?", "")
FileWrite ($fileopen, "| " & $comment & @CRLF)
EndFunc

Func TogglePause()
ToolTip ("")
$Paused = NOT $Paused
FileClose ($fileopen)
While $Paused
sleep(100)
ToolTip("Script is paused...")
WEnd
$fileopen = FileOpen ($savefile, 129)
Sleep ("100")
ToolTip("")
EndFunc

